Permalink
Browse files

Removed inexplicable dependencies on action_controller and action_pack

  • Loading branch information...
1 parent b5aea8b commit ba6975085fb2aa516bf819ede6528658aaa1a111 @jyurek jyurek committed Aug 1, 2010
Showing with 0 additions and 5 deletions.
  1. +0 −1 shoulda_macros/paperclip.rb
  2. +0 −4 test/helper.rb
View
1 shoulda_macros/paperclip.rb
@@ -1,5 +1,4 @@
require 'paperclip/matchers'
-require 'action_controller'
module Paperclip
# =Paperclip Shoulda Macros
View
4 test/helper.rb
@@ -9,21 +9,17 @@
when '2.1' then
gem 'activerecord', '~>2.1.0'
gem 'activesupport', '~>2.1.0'
- gem 'actionpack', '~>2.1.0'
when '3.0' then
gem 'activerecord', '~>3.0.0'
gem 'activesupport', '~>3.0.0'
- gem 'actionpack', '~>3.0.0'
else
gem 'activerecord', '~>2.3.0'
gem 'activesupport', '~>2.3.0'
- gem 'actionpack', '~>2.3.0'
end
require 'active_record'
require 'active_record/version'
require 'active_support'
-require 'action_pack'
puts "Testing against version #{ActiveRecord::VERSION::STRING}"

0 comments on commit ba69750

Please sign in to comment.